Bug 241599 - noipv6 does not disable ipv6
noipv6 does not disable ipv6
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-28 14:24 EDT by Florian La Roche
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-29 06:25:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian La Roche 2007-05-28 14:24:50 EDT
Description of problem:

Installing the current F7 tree and booting with "noipv6" and then also
keeping IPv6 disabled during the network setup still keeps ipv6 enabled
on the system. I haven't found any place in anaconda writing out a
file to /etc/modprobe.d/ which disables ipv6.


./ChangeLog-2007-04-17  David Cantrell  <dcantrell@redhat.com>
./ChangeLog-
./ChangeLog-    * network.py (Network.write): Do not write out NETWORKING_IPV6 line
./ChangeLog-    to /etc/sysconfig/network anymore, initscripts does not use it.
./ChangeLog-    Instead, write a file to /etc/modprobe.d containing
./ChangeLog:    'install ipv6 /bin/true' in the cases where users want the IPv6
./ChangeLog-    stack completely disabled.


regards,

Florian La Roche



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Paul Nasrat 2007-05-29 06:25:29 EDT
2007-04-26  David Cantrell  <dcantrell@redhat.com>

        * network.py (Network.write): Do not write out a disable-ipv6 file
        in /etc/modprobe.d if the user has disabled IPv6 during
        install (#237642).

Note You need to log in before you can comment on or make changes to this bug.